Page MenuHomePhabricator

copies-rust: make more use of the new comparison property
ClosedPublic

Authored by marmoute on Dec 21 2020, 5:29 PM.

Details

Summary

We deal with the "both are the same" sooner and simplify the rest of the
conditional.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.Dec 21 2020, 5:29 PM
marmoute updated this revision to Diff 24493.Dec 22 2020, 9:12 PM
baymax updated this revision to Diff 24504.Dec 22 2020, 9:46 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24588.Jan 5 2021, 4:07 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jan 8 2021, 9:08 AM
baymax updated this revision to Diff 24679.Jan 8 2021, 6:16 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25699.Feb 22 2021, 9:14 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25758.Feb 22 2021, 11:22 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25797.Feb 22 2021, 5:12 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.
martinvonz added inline comments.
rust/hg-core/src/copy_tracing.rs
871

Clippy pointed out that the condition is unlikely to be true :) Same thing on line 874. I'll let you fix because I don't know what it's supposed to check.